# $Revision: 1.11 $, $Date: 2009/09/08 15:34:18 $
%define		plugin	check_snmp_mem
%include	/usr/lib/rpm/macros.perl
Summary:	Nagios plugin to check system memory via SNMP
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania poprzez SNMP wykorzystania pamięci RAM i SWAP
Name:		nagios-plugin-%{plugin}
Version:	0.9
Release:	4
License:	GPL
Group:		Networking
Source0:	http://www.manubulon.com/nagios/check_snmp_mem.pl
Patch0:		%{name}-path.patch
Source1:	%{plugin}.cfg
# Source0-md5:	2b59e64724735eb5f4893b36c8057679
URL:		http://www.manubulon.com/nagios/snmp_mem.html
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
Requires:	nagios-core
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins
%define		_noautoreq 'perl(utils)'

%description
Checks by SNMP RAM or SWAP memory usage (Linux/Unix, Cisco, Pix, HP
Procurve).

%description -l pl.UTF-8
Ta wtyczka sprawdza poprzez SNMP wykorzystanie pamieci RAM i SWAP w
systemach Linux/Unix, Cisco, HP Procurve.

%prep
%setup -q -c -T
install %{SOURCE0} %{plugin}
%patch0 -p1
%{__sed} -i -e 's,@plugindir@,%{plugindir},' %{plugin}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir}}
install -p %{plugin} $RPM_BUILD_ROOT%{plugindir}
%{__sed} -e 's,@plugindir@,%{plugindir},' %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-plugin-check_snmp_mem.spec,v $
Revision 1.11  2009/09/08 15:34:18  glen
- restore plugin path fix; rel 4

Revision 1.10  2009/09/08 15:28:11  glen
- improve config; rel 3

Revision 1.9  2009/08/30 09:42:49  glen
- add config; noarch; rel 2

Revision 1.8  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.6  2006/03/08 00:54:06  wolvverine
- release 1

Revision 1.5  2006/03/06 19:33:39  qboosh
- pl typo

Revision 1.4  2006/03/06 16:19:35  ankry
- better pl

Revision 1.3  2006/03/06 15:34:02  glen
- lib64 fix

Revision 1.2  2006/03/06 13:39:34  wolvverine
- add patch with path to utils.pm

Revision 1.1  2006/03/06 12:35:15  wolvverine
- init
- version 0.9
